
<div id="in8_page_<?php echo $tab_id; ?>" class="in8_page container-fluid">
    <div class="row">
        <div class="col-xs-6 ">
            <div class="well">
                <form class="in8_ajax_form_save" role="form">
                    <h4>Email Actions</h4>
                    <?php
                        $block_id = "email_action";
                        $num_records = 0;
                        if(isset($tab_options[$block_id]['ns_error_code'])) {
                            $num_records = count($tab_options[$block_id]['ns_error_code']);
                        }


                        if ($num_records == 0) {
                            $num_records = 1;
                        }


                        for ($index = 0; $index < $num_records; $index++) {
                            ?>

                            <div class="in8_email_action pull-left">
                                <div class="col-xs-12">
                                    <span class=" btn btn-danger removeEmailActionRow pull-right">X</span>
                                </div>
                                <div class="col-xs-6">
                                    <div class="form-group">
                                        <label> If NetSuite Response Code </label>
                                        <span class="woocommerce-help-tip" data-tip="NetSuite error response code"></span>
                                        <select required class="form-control ns-error-code" name="<?php echo $tab_key; ?>[email_action][ns_error_code][]">
                                            <option value="0">Select an error code</option>
                                            <?php foreach (IN8_Settings::$ns_error_codes as $code) { ?>
                                                <option <?php echo ((isset($tab_options['email_action']['ns_error_code'][$index]) && $tab_options['email_action']['ns_error_code'][$index] == $code) ? 'selected' : ''); ?> value="<?php echo $code; ?>"><?php echo $code; ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-xs-6">
                                    <div class="form-group">
                                        <label>Action</label>
                                        <span class="woocommerce-help-tip" data-tip="Email send action"></span>
                                        <select required class="form-control email_action_select" name="<?php echo $tab_key; ?>[email_action][error_action][]">
                                            <?php foreach (in8_tab_email_backend::$error_email_action as $value => $action) { ?>
                                                <option <?php echo ((isset($tab_options['email_action']['error_action'][$index]) && $tab_options['email_action']['error_action'][$index] == $value) ? 'selected' : '') ?> value="<?php echo $value; ?>"><?php echo $action; ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>

                                    <div class="form-group defaultHide" <?php if (isset($tab_options['email_action']) && $tab_options['email_action']['error_action'][$index] == 0) { ?> style="display:none;" <?php } ?>>
                                        <label>Send Error Emails to</label>
                                        <span class="woocommerce-help-tip" data-tip="Only these emails will receive notification for corresponding error code"></span>
                                        <input type="email" multiple pattern="^([\w+-.%]+@[\w-.]+\.[A-Za-z]{2,4},*[\W]*)+$"  class="form-control" value="<?php echo (isset($tab_options['email_action']['error_action_emails'][$index]) ? $tab_options['email_action']['error_action_emails'][$index] : '') ?>" placeholder="Commas Separated Emails" name="<?php echo $tab_key; ?>[email_action][error_action_emails][]">
                                    </div>
                                </div>

                            </div>
                        <?php } ?>
                    <div class="col-xs-12">
                        <button class="btn btn-primary pull-right" id="addMoreEmailActions">+ Add More Actions</button>
                    </div>
                    <input type="hidden" name="tab_id" value="<?php echo $tab_key; ?>"/>
                    <input type="hidden" name="block_id" value="email_action"/>
                    <input type="hidden" name="action" value="in8_tab_save_settings"/>
                    <button class="in8_button btn btn-success btn-lg" id="emailActionsSave">Save</button>
                </form>
                
                <div class="clear"></div>
            </div>
        </div>
        <div class="col-xs-6">
            <div class="well">
                <form class="in8_ajax_form_save" role="form">
                    <h4>Default debugging emails</h4>
                    <div class="form-group">
                        <label for="default_debug_emails">Default error reporting emails (comma separated list) </label>
                        <span class="woocommerce-help-tip" data-tip="List of debugging emails, any failed API call is reported to defined emails. Errors other to defined email actions will be sent to these emails"></span>
                        <input class="form-control" type="email" multiple pattern="^([\w+-.%]+@[\w-.]+\.[A-Za-z]{2,4},*[\W]*)+$" value="<?= (isset($tab_options['debug_emails']['default_debug_emails']) ? $tab_options['debug_emails']['default_debug_emails'] : '') ?>" placeholder="Comma separated list for notification email" name="<?php echo $tab_key; ?>[debug_emails][default_debug_emails]" id="default_debug_emails">
                    </div>
                    <hr>
                    <div class="form-group">
                        <label for="default_debug_emails">Duplicate customers email subject: </label>
                        <input class="form-control" type="text"  value="<?= (isset($tab_options['debug_emails']['duplicate_customers_subject']) ? $tab_options['debug_emails']['duplicate_customers_subject'] : '') ?>" name="<?php echo $tab_key; ?>[debug_emails][duplicate_customers_subject]" id="duplicate_customers_subject">
                    </div>
                    <div class="form-group">
                        <label for="default_debug_emails">Duplicate customers recipient: </label>
                        <input class="form-control" type="email" multiple pattern="^([\w+-.%]+@[\w-.]+\.[A-Za-z]{2,4},*[\W]*)+$" value="<?= (isset($tab_options['debug_emails']['duplicate_customers_recipient']) ? $tab_options['debug_emails']['duplicate_customers_recipient'] : '') ?>" name="<?php echo $tab_key; ?>[debug_emails][duplicate_customers_recipient]" id="duplicate_customers_recipient">
                    </div>
                    
                    <input type="hidden" name="tab_id" value="<?php echo $tab_key; ?>">
                    <input type="hidden" name="action" value="in8_tab_save_settings">
                    <input type="hidden" name="block_id" value="debug_emails"/>
                    <button class="in8_button btn btn-success btn-lg" >Save</button>
                </form>
            </div>
            <div class="well">


                <form class="in8_ajax_form_save" role="form">
                    <div class="col-xs-6">
                        <h4>Unsynced Order Emails</h4>
                    </div>
                    <div class="col-xs-6">
                        <h4>View list of <a target="_blank" href="<?php echo admin_url(); ?>admin.php?get_failed_order_list=1">  Unsynced Orders</a></h4>
                    </div>
                    <div class="form-group">
                        <label for="unsynced_order_emails">Error reporting emails (comma separated list) </label>
                        <span class="woocommerce-help-tip" data-tip="Only these emails will receive notification for corresponding error code"></span>
                        <input class="form-control" type="email" multiple pattern="^([\w+-.%]+@[\w-.]+\.[A-Za-z]{2,4},*[\W]*)+$" value="<?= (isset($tab_options['unsynced_orders']['unsynced_order_emails']) ? $tab_options['unsynced_orders']['unsynced_order_emails'] : '') ?>" placeholder="Comma separated list for notification email" name="<?php echo $tab_key; ?>[unsynced_orders][unsynced_order_emails]" id="unsynced_order_emails">
                    </div>

                    <?php if (!empty(in8_tab_email_backend::$cron_frequencies)) { ?>
                            <div class="form-group">
                                <label for="<?php echo $tab_id; ?>_unsynced_orders">Cron Frequency</label>
                                <span class="woocommerce-help-tip" data-tip="Set time frequency for unsynced order notifications"></span>
                                <select class="form-control" name="<?php echo $tab_key; ?>[unsynced_orders][unsynced_orders_email_frequency]">
                                    <?php foreach (in8_tab_email_backend::$cron_frequencies as $value => $label) { ?>
                                        <option <?php echo ((isset($tab_options['unsynced_orders']['unsynced_orders_email_frequency']) && $tab_options['unsynced_orders']['unsynced_orders_email_frequency'] == $value) ? 'selected' : '') ?> value="<?php echo $value; ?>"><?php echo $label; ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        <?php } ?>
                    <input type="hidden" name="tab_id" value="<?php echo $tab_key; ?>">
                    <input type="hidden" name="action" value="in8_tab_save_settings">
                    <input type="hidden" name="block_id" value="unsynced_orders"/>

                    <button class="in8_button btn btn-success btn-lg">Save</button>
                </form>


            </div>

        </div>
    </div>
</div>