<?php
	class In8_Sync_Tester{
		public $object = NULL;
		public $key = null;
		
		static function instance($object, $key){
			return new In8_Sync_Tester($object, $key);
		}
		
		public function __construct($object, $key) {
			$this->object = $object;
			$this->key = $key;
		}
		
		public function test($val){
			return $this->val() == $val;
		}
		public function increment(){
			$val = $this->val();
			$val ++;
			$this->set($val);
		}
		public function set($val){
			if( !is_object($this->object) ) return false;
			update_post_meta($this->object->get_id(),$this->key,$val);
//			$this->object->set_meta($this->key, $val);
		}
		
		public function val(){
			if( !is_object($this->object) ) return false;
			$val = get_post_meta($this->object->get_id(), $this->key, true);
			return empty($val) ? 0 : $val;
		}
		
		public function exists(){
			$temp = $this->val();
			
			return !empty( $temp );
		}
		
		public function delete(){
			if( !is_object($this->object) ) return false;
			delete_post_meta($this->object->get_id(), $this->key);
		}
	}