<div id="in8_page_<?php echo $tab_id; ?>" class="in8_page container-fluid">
    
    <div class="row">
        <div class="col-xs-12">
        <!-- TODO: Tried to use an image using CSS, but doesn't display -->
        <img src="https://in8sync.com/wp-content/uploads/2016/06/in8sync-logo.png" style="width:100px">
        All the fields below are required in order for the integration to work correctly. It requires the NetSuite Bundle to be installed and actived.
        </div>
    </div>

    <div class="row">
        <div class="col-xs-6">
            <div class="well">
                <form class="in8_ajax_form_save" role="form">
                    <h3>NetSuite Settings</h3>
					<div class="form-group">
						<div class="col-xs-11">
							<label for="<?php echo $tab_key; ?>_account">Using Spherical?</label>
							<input class="form-control" type="checkbox" <?php echo isset($tab_options['ns_api_creds']['is_spherical']) ? 'checked' : '' ?> name="<?php echo $tab_key; ?>[ns_api_creds][is_spherical]">
						</div>
					</div>
					
                    <div class="form-group">
                        <div class="col-xs-11">
                            <label for="<?php echo $tab_key; ?>_account">Account Number</label>
                            <span class="woocommerce-help-tip" data-tip="NetSuite Account Number"></span>
                            <input class="form-control" type="text" value="<?php echo (isset($tab_options['ns_api_creds']['account']) ? $tab_options['ns_api_creds']['account'] : '') ?>" placeholder="account" name="<?php echo $tab_key; ?>[ns_api_creds][account]" id="<?php echo $tab_key; ?>_account">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-xs-11">
                            <label for="<?php echo $tab_key; ?>_token_id">Token Id</label>
                            <span class="woocommerce-help-tip" data-tip="NetSuite RESTlet Token Id"></span>
                            <input class="form-control" type="text" value="<?php echo (isset($tab_options['ns_api_creds']['token_id']) ? $tab_options['ns_api_creds']['token_id'] : '') ?>" placeholder="token_id" name="<?php echo $tab_key; ?>[ns_api_creds][token_id]" id="<?php echo $tab_key; ?>_token_id">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-xs-11">
                            <label for="<?php echo $tab_key; ?>_token_secret">Token Secret</label>
                            <span class="woocommerce-help-tip" data-tip="NetSuite RESTlet Token Secret"></span>
                            <input class="form-control" type="password" value="<?php echo (isset($tab_options['ns_api_creds']['token_secret']) ? $tab_options['ns_api_creds']['token_secret'] : '') ?>" placeholder="token_secret" name="<?php echo $tab_key; ?>[ns_api_creds][token_secret]" id="<?php echo $tab_key; ?>_token_secret">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-xs-11">
                            <label for="<?php echo $tab_key; ?>_restlet_url">RESTlet URL</label>
                            <span class="woocommerce-help-tip" data-tip="NetSuite RESTlet URL"></span>
                            <input class="form-control" type="text" value="<?php echo (isset($tab_options['ns_api_creds']['restlet_url']) ? $tab_options['ns_api_creds']['restlet_url'] : 'https://rest.netsuite.com/app/site/hosting/restlet.nl') ?>" placeholder="restlet_url" name="<?php echo $tab_key; ?>[ns_api_creds][restlet_url]" id="<?php echo $tab_key; ?>_restlet_url">
                        </div>
                    </div>
                    <input type="hidden" name="action" value="in8_tab_save_settings">
                    <input type="hidden" name="tab_id" value="<?php echo $tab_key; ?>">
                    <input type="hidden" name="block_id" value="ns_api_creds">

                    <button class="in8_button btn btn-success btn-lg">Save</button>

                    <div class="clear"></div>
                    <input type="button" class="in8_button btn btn-primary" value="Test Connection" id="testNSConnection" style="float:right; margin-top: -45px;" />
                    <div id='divLoader' style='display:none;float:right;' class='loader'></div>
					<div class="clear"></div>
                </form>
            </div>

            <div class="well pull-left">
                <div class="h3">Export/Import Settings</div>
                <div class="col-xs-3 pull-left">
                    <a class="btn btn-warning exportIn8Settings" href="?export_all_in8_settings=1">Export All Settings</a>
                </div>
                <div class="col-xs-8 col-xs-offset-1 pull-right" style="border-left : 3px solid black; margin-left: 15px;">
                    <form class="form-inline" id="in8_setting_import" enctype="multipart/form-data">
                        <div class="form-group">
                            <label>Import Settings File</label>
                            <input name="import_file" type="file">
                        </div>
                        <span class="bg-danger" id="uploadResponse"></span>
                        <button type="submit" class="btn btn-success">Import</button>
                    </form>
                </div>
            </div>
        </div>

        <div class="col-xs-6">
            <div class="well">
                <form class="in8_ajax_form_save" role="form">
                    <h3>In8Sync API Keys</h3>
                    <div class="form-group">
                        <div class="col-xs-11">
                            <label for="in8_api_key">API Key</label>
                            <span class="woocommerce-help-tip" data-tip="In8Sync API Key is generated when you subscribe"></span>
                            <input class="form-control" type="text" value="<?php echo (isset($tab_options['in8_api_keys']['api_key']) ? $tab_options['in8_api_keys']['api_key'] : '') ?>" placeholder="In8Sync API Key" name="<?php echo $tab_key; ?>[in8_api_keys][api_key]" id="in8_api_key">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-xs-11">
                            <label for="in8_api_secret">API Secret</label>
                            <span class="woocommerce-help-tip" data-tip="In8Sync API Secret is generated when you subscribe"></span>
                            <input class="form-control" type="password" value="<?php echo (isset($tab_options['in8_api_keys']['api_secret']) ? $tab_options['in8_api_keys']['api_secret'] : '') ?>" placeholder="In8Sync API Secret" name="<?php echo $tab_key; ?>[in8_api_keys][api_secret]" id="in8_api_secret">
                        </div>
                    </div>
                    <input type="hidden" name="action" value="in8_tab_save_settings">
                    <input type="hidden" name="tab_id" value="<?php echo $tab_key; ?>">
                    <input type="hidden" name="block_id" value="in8_api_keys">

                    <button class="in8_button btn btn-success btn-lg">Save</button>
                    <div class="clear"></div>
                </form>
            </div>
            <?php
                $selected_debug_mode = isset($tab_options['debug']) ? $tab_options['debug']['debug_level'] : '';
            ?>
            <div class="well">
                <form class="in8_ajax_form_save" role="form">
                    <h3>Debugging</h3>
                    <div class="form-group">
                        <div class="col-xs-11">
                            <label for="debugging_level_select">Debugging Level</label>
                            <span class="woocommerce-help-tip" data-tip="Select a debug mode, error handling depends on this"></span>
                            <select class="form-control" name="<?php echo $tab_key; ?>[debug][debug_level]" id="debugging_level_select">
                                <option>Select a debugging Level</option>
                                <?php foreach (IN8_Settings::$debugging_modes as $key => $debug_mode) { ?>
                                        <option <?php
                                        if ($key == $selected_debug_mode) {
                                            echo "selected";
                                        }
                                        ?> value="<?php echo $key; ?>"><?php echo $debug_mode; ?></option>
                                        <?php } ?>
                            </select>
                        </div>
                    </div>
                    <input type="hidden" name="action" value="in8_tab_save_settings">
                    <input type="hidden" name="tab_id" value="<?php echo $tab_key; ?>">
                    <input type="hidden" name="block_id" value="debug">


                    <button class="in8_button btn btn-success btn-lg">Save</button>
                    <div class="clear"></div>
                </form>
            </div>

        </div>
    </div>    

    <br/>

    <div class="row" style="text-align: center">
        Copyright © 2017 <a href="http://www.in8sync.com" target="_blank">In8Sync</a> | <a href="<?php echo admin_url(); ?>admin.php?page=in8sync#support">Documentation</a>
        <br/>
        <img src="https://in8sync.com/wp-content/uploads/2016/06/in8sync-logo.png" style="width:50px;margin-top:10px">
    </div>
</div>
